> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/databases/mariadb/backups/list-of-backups.md).

# List of backups.

Retrieves all lists of backups for all MariaDB clusters in this contract.

```json
{"openapi":"3.0.3","info":{"title":"IONOS DBaaS MariaDB REST API","version":"0.1.0"},"tags":[{"name":"Backups","description":"Everything about backups of MariaDB clusters."}],"servers":[{"url":"https://mariadb.de-fra.ionos.com","description":"Frankfurt, Germany"},{"url":"https://mariadb.de-txl.ionos.com","description":"Berlin, Germany"},{"url":"https://mariadb.es-vit.ionos.com","description":"Logroño, Spain"},{"url":"https://mariadb.fr-par.ionos.com","description":"Paris, France"},{"url":"https://mariadb.gb-lhr.ionos.com","description":"London, Great Britain"},{"url":"https://mariadb.us-ewr.ionos.com","description":"Newark, USA"},{"url":"https://mariadb.us-las.ionos.com","description":"Las Vegas, USA"},{"url":"https://mariadb.us-mci.ionos.com","description":"Lenexa, USA"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Please provide header value as 'Bearer <token>' and don't forget to add\n'Bearer' HTTP Authorization Scheme before the token.\n"}},"parameters":{"PaginationLimitParameter":{"name":"limit","in":"query","description":"The maximum number of elements to return. Use together with 'offset' for pagination.","required":false,"schema":{"type":"integer","default":100,"maximum":1000,"minimum":1}},"PaginationOffsetParameter":{"name":"offset","in":"query","description":"The first element to return. Use together with 'limit' for pagination.","required":false,"schema":{"type":"integer","default":0}}},"schemas":{"BackupList":{"description":"List of backups.","allOf":[{"type":"object","properties":{"id":{"$ref":"#/components/schemas/ResourceID"},"items":{"type":"array","items":{"$ref":"#/components/schemas/BackupResponse"}}}},{"$ref":"#/components/schemas/Pagination"}],"type":"object"},"ResourceID":{"type":"string","description":"The unique ID of the resource."},"BackupResponse":{"description":"A database backup.","properties":{"id":{"$ref":"#/components/schemas/ResourceID"},"properties":{"$ref":"#/components/schemas/Backup"}},"type":"object"},"Backup":{"description":"A backup object.","properties":{"clusterId":{"type":"string","description":"The unique ID of the cluster that was backed up."},"location":{"$ref":"#/components/schemas/BackupLocation"},"earliestRecoveryTargetTime":{"type":"string","format":"date-time","description":"The oldest available timestamp to which you can restore."},"size":{"type":"integer","description":"Size of all base backups in MiB. This is at least the sum of\nall base backup sizes.\n"},"baseBackups":{"type":"array","items":{"$ref":"#/components/schemas/BaseBackup"}}},"type":"object"},"BackupLocation":{"type":"string","description":"The S3 location where the backups will be stored."},"BaseBackup":{"description":"A single base backup.","properties":{"created":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp."},"size":{"type":"integer","description":"The size of the backup in MiB. This is the\nsize of the binary backup file that was stored.\n"}},"type":"object"},"Pagination":{"description":"Pagination information in list responses.","type":"object","properties":{"offset":{"$ref":"#/components/schemas/PaginationOffset"},"limit":{"$ref":"#/components/schemas/PaginationLimit"},"total":{"$ref":"#/components/schemas/PaginationTotal"},"_links":{"$ref":"#/components/schemas/PaginationLinks"}}},"PaginationOffset":{"description":"The offset specified in the request (if none was specified, the default\noffset is 0).\n","type":"integer","minimum":0,"default":0},"PaginationLimit":{"description":"The limit specified in the request (if none was specified, the default\nlimit is 100).\n","type":"integer","minimum":0,"default":100,"maximum":1000},"PaginationTotal":{"description":"The total number of elements matching the request (without pagination).\n","type":"integer","minimum":0,"default":0},"PaginationLinks":{"description":"URLs to navigate the different pages.\n","type":"object","properties":{"prev":{"description":"URL (with offset and limit parameters) of the previous page; only\npresent if offset is greater than 0.\n","type":"string","format":"uri","readOnly":true},"self":{"description":"URL (with offset and limit parameters) of the current page.\n","type":"string","format":"uri","readOnly":true},"next":{"description":"URL (with offset and limit parameters) of the next page; only\npresent if offset + limit is less than the total number of elements.\n","type":"string","format":"uri","readOnly":true}}},"ErrorMessage":{"properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}},"type":"object"}},"responses":{"Error400":{"description":"Parse error.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error401":{"description":"Authentication error.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error403":{"description":"Unauthorized.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error404":{"description":"Not Found.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error405":{"description":"Unsupported HTTP method.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error415":{"description":"Unsupported content type.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error422":{"description":"Validation error.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error429":{"description":"Request rate limit exceeded.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error500":{"description":"Server error.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error503":{"description":"Maintenance.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}}}},"paths":{"/backups":{"get":{"operationId":"backupsGet","summary":"List of backups.","description":"Retrieves all lists of backups for all MariaDB clusters in this contract.\n","tags":["Backups"],"parameters":[{"$ref":"#/components/parameters/PaginationLimitParameter"},{"$ref":"#/components/parameters/PaginationOffsetParameter"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupList"}}}},"400":{"$ref":"#/components/responses/Error400"},"401":{"$ref":"#/components/responses/Error401"},"403":{"$ref":"#/components/responses/Error403"},"404":{"$ref":"#/components/responses/Error404"},"405":{"$ref":"#/components/responses/Error405"},"415":{"$ref":"#/components/responses/Error415"},"422":{"$ref":"#/components/responses/Error422"},"429":{"$ref":"#/components/responses/Error429"},"500":{"$ref":"#/components/responses/Error500"},"503":{"$ref":"#/components/responses/Error503"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/databases/mariadb/backups/list-of-backups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
